const colorSetting = {
	bg: "black",
	fg: "white",
}

const colorThemes = [
	{ 
	bg: "white",
	fg: "black",
	},
	{ 
	bg: "black",
	fg: "white",
	},
	{ 
	bg: "black",
	fg: "yellow",
	},
	{ 
	bg: "yellow",
	fg: "black",
	},
	{ 
	bg: "blue",
	fg: "yellow",
	},
	{ 
	bg: "yellow",
	fg: "blue",
	}
]

let selectedColor = 0;

export const shortforms = $state({ standardList: "", subjectLists: [], cache: new Map() })
export const importState = $state({ data: "", errors: [] })
export const textSettings = $state({ font: "Arial", size: 30, colors: colorSetting, padding: 0, lineheight: 1 })
export const appState = $state({ text: "", menuOpen: false })

export const selectNextColor = () => {
	selectedColor += 1
	textSettings.colors = colorThemes[(selectedColor % 6)]
}

export const toggleMenuOpen = () => {
	appState.menuOpen = !appState.menuOpen
}

export const incTextSize = () => {
	console.log(textSettings.size)
	if (textSettings.size < 200) {
		textSettings.size += 5
		return
	} 
	if (textSettings.size > 200) {
		textSettings.size = 200
		return
	} 
}

export const decTextSize = () => {
	if (textSettings.size > 15) {
		textSettings.size -= 5
		return
	} 
	if (textSettings.size <= 15) {
		textSettings.size = 15
		return
	} 
}
